import { ItemLockMode, ItemStack } from "./item/stack.js";
import { Player } from "./player.js";
import { Wrapper } from "./wrapper.js";
export { ItemLockMode, ItemStack };
export { ItemBag } from "./item/bag.js";
export { ItemCooldown } from "./item/cooldown.js";
export { ItemDurability } from "./item/durability.js";
export { EnchantmentType, ItemEnchantments } from "./item/enchantments.js";
export { ItemTags } from "./item/tags.js";
export { ItemType } from "./item/type.js";
export class ItemUseBeforeEvent extends Wrapper {
    cancel() {
        this.raw.cancel = true;
    }
    get itemStack() {
        return new ItemStack(this.raw.itemStack);
    }
    get source() {
        return new Player(this.raw.source);
    }
}
//# sourceMappingURL=item.js.map
