import { Tag } from "./primitives.js";
/** Display a document with obfuscation. */
export function obfuscate(d) {
    return {
        tag: Tag.Obfuscate,
        enabled: true,
        doc: d
    };
}
/** Display a document without obfuscation. */
export function deobfuscate(d) {
    return {
        tag: Tag.Obfuscate,
        enabled: false,
        doc: d
    };
}
/** Display a document in a heavier font weight. */
export function bold(d) {
    return {
        tag: Tag.Bold,
        enabled: true,
        doc: d
    };
}
/** Display a document in the normal font weight. */
export function debold(d) {
    return {
        tag: Tag.Bold,
        enabled: false,
        doc: d
    };
}
/** Display a document in italics. */
export function italicise(d) {
    return {
        tag: Tag.Italicise,
        enabled: true,
        doc: d
    };
}
/** Display a document without italics. */
export function deitalicise(d) {
    return {
        tag: Tag.Italicise,
        enabled: false,
        doc: d
    };
}
//# sourceMappingURL=styles.js.map
