import { Wrapper } from "./wrapper.js";
import { WatchdogTerminateReason } from "@minecraft/server";
export { WatchdogTerminateReason };
export class WatchdogTerminateBeforeEvent extends Wrapper {
    /** Package private: user code should not use this. */
    constructor(rawEvent) {
        super(rawEvent);
    }
    cancel() {
        this.raw.cancel = true;
    }
    get terminateReason() {
        return this.raw.terminateReason;
    }
}
//# sourceMappingURL=watchdog.js.map
