import { BlockProperties, blockProps } from "../../block-properties.js";
import { IgnoringAllStates } from "../mixins.js";
/// Base class for bones.
class BoneProperties extends IgnoringAllStates(BlockProperties) {
    breakingSoundId() {
        return "dig.bone_block";
    }
    isToolSuitable(_perm, tool, prefs) {
        if (prefs.coverage.bones)
            return tool.tags.has("minecraft:is_pickaxe");
        else
            return false;
    }
}
// Bone block
blockProps.addBlockProps("minecraft:bone_block", BoneProperties);
//# sourceMappingURL=bones.js.map
