import { BlockProperties, blockProps } from "../../block-properties.js";
/// Bass class for moss-like blocks.
class MossLikeProperties extends BlockProperties {
    breakingSoundId() {
        return "dig.moss";
    }
    isToolSuitable(_perm, tool, prefs) {
        if (prefs.coverage.moss)
            return tool.tags.has("minecraft:is_hoe");
        else
            return false;
    }
}
// Moss Block
blockProps.addBlockProps("minecraft:moss_block", MossLikeProperties);
// Moss Carpet
blockProps.addBlockProps("minecraft:moss_carpet", MossLikeProperties);
// Pale Moss Block
blockProps.addBlockProps("minecraft:pale_moss_block", MossLikeProperties);
// Pale Moss Carpet
blockProps.addBlockProps("minecraft:pale_moss_carpet", MossLikeProperties);
//# sourceMappingURL=moss.js.map
