var __esDecorate = (this && this.__esDecorate) || function (ctor, descriptorIn, decorators, contextIn, initializers, extraInitializers) {
    function accept(f) { if (f !== void 0 && typeof f !== "function") throw new TypeError("Function expected"); return f; }
    var kind = contextIn.kind, key = kind === "getter" ? "get" : kind === "setter" ? "set" : "value";
    var target = !descriptorIn && ctor ? contextIn["static"] ? ctor : ctor.prototype : null;
    var descriptor = descriptorIn || (target ? Object.getOwnPropertyDescriptor(target, contextIn.name) : {});
    var _, done = false;
    for (var i = decorators.length - 1; i >= 0; i--) {
        var context = {};
        for (var p in contextIn) context[p] = p === "access" ? {} : contextIn[p];
        for (var p in contextIn.access) context.access[p] = contextIn.access[p];
        context.addInitializer = function (f) { if (done) throw new TypeError("Cannot add initializers after decoration has completed"); extraInitializers.push(accept(f || null)); };
        var result = (0, decorators[i])(kind === "accessor" ? { get: descriptor.get, set: descriptor.set } : descriptor[key], context);
        if (kind === "accessor") {
            if (result === void 0) continue;
            if (result === null || typeof result !== "object") throw new TypeError("Object expected");
            if (_ = accept(result.get)) descriptor.get = _;
            if (_ = accept(result.set)) descriptor.set = _;
            if (_ = accept(result.init)) initializers.unshift(_);
        }
        else if (_ = accept(result)) {
            if (kind === "field") initializers.unshift(_);
            else descriptor[key] = _;
        }
    }
    if (target) Object.defineProperty(target, contextIn.name, descriptor);
    done = true;
};
var __runInitializers = (this && this.__runInitializers) || function (thisArg, initializers, value) {
    var useValue = arguments.length > 2;
    for (var i = 0; i < initializers.length; i++) {
        value = useValue ? initializers[i].call(thisArg, value) : initializers[i].call(thisArg);
    }
    return useValue ? value : void 0;
};
var __setFunctionName = (this && this.__setFunctionName) || function (f, name, prefix) {
    if (typeof name === "symbol") name = name.description ? "[".concat(name.description, "]") : "";
    return Object.defineProperty(f, "name", { configurable: true, value: prefix ? "".concat(prefix, " ", name) : name });
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __classPrivateFieldIn = (this && this.__classPrivateFieldIn) || function(state, receiver) {
    if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function")) throw new TypeError("Cannot use 'in' operator on non-object");
    return typeof state === "function" ? receiver === state : state.has(receiver);
};
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
import { command, subcommand } from "../cicada-lib/dist/command.js";
import { spawn } from "../cicada-lib/dist/thread.js";
let QuickMineAdminCommand = (() => {
    let _classDecorators = [subcommand("administer")];
    let _classDescriptor;
    let _classExtraInitializers = [];
    let _classThis;
    var QuickMineAdminCommand = _classThis = class {
    };
    __setFunctionName(_classThis, "QuickMineAdminCommand");
    (() => {
        const _metadata = typeof Symbol === "function" && Symbol.metadata ? Object.create(null) : void 0;
        __esDecorate(null, _classDescriptor = { value: _classThis }, _classDecorators, { kind: "class", name: _classThis.name, metadata: _metadata }, null, _classExtraInitializers);
        QuickMineAdminCommand = _classThis = _classDescriptor.value;
        if (_metadata) Object.defineProperty(_classThis, Symbol.metadata, { enumerable: true, configurable: true, writable: true, value: _metadata });
        __runInitializers(_classThis, _classExtraInitializers);
    })();
    return QuickMineAdminCommand = _classThis;
})();
let QuickMinePrefsCommand = (() => {
    let _classDecorators = [subcommand("preferences", { aliases: ["prefs"] })];
    let _classDescriptor;
    let _classExtraInitializers = [];
    let _classThis;
    var QuickMinePrefsCommand = _classThis = class {
    };
    __setFunctionName(_classThis, "QuickMinePrefsCommand");
    (() => {
        const _metadata = typeof Symbol === "function" && Symbol.metadata ? Object.create(null) : void 0;
        __esDecorate(null, _classDescriptor = { value: _classThis }, _classDecorators, { kind: "class", name: _classThis.name, metadata: _metadata }, null, _classExtraInitializers);
        QuickMinePrefsCommand = _classThis = _classDescriptor.value;
        if (_metadata) Object.defineProperty(_classThis, Symbol.metadata, { enumerable: true, configurable: true, writable: true, value: _metadata });
        __runInitializers(_classThis, _classExtraInitializers);
    })();
    return QuickMinePrefsCommand = _classThis;
})();
let QuickMineCommand = (() => {
    var _QuickMineCommand_subcmd;
    let _classDecorators = [command("qmine", { aliases: ["qm"] })];
    let _classDescriptor;
    let _classExtraInitializers = [];
    let _classThis;
    let _instanceExtraInitializers = [];
    let _private_subcmd_decorators;
    let _private_subcmd_initializers = [];
    var QuickMineCommand = _classThis = class {
        constructor() {
            _QuickMineCommand_subcmd.set(this, (__runInitializers(this, _instanceExtraInitializers), __runInitializers(this, _private_subcmd_initializers, void 0)));
        }
        run(runner) {
            if (__classPrivateFieldGet(this, _QuickMineCommand_subcmd, "f") instanceof QuickMineAdminCommand) {
                // We must open it in a separate thread because we're in the
                // read-only mode right now.
                spawn(async function* () {
                    runner.sendMessage({ translate: "game.quick-mining.message.close-chat" });
                    await runner.getSession().openWorldPrefsUI();
                });
            }
            else if (__classPrivateFieldGet(this, _QuickMineCommand_subcmd, "f") instanceof QuickMinePrefsCommand) {
                spawn(async function* () {
                    runner.sendMessage({ translate: "game.quick-mining.message.close-chat" });
                    await runner.getSession().openPlayerPrefsUI();
                });
            }
            else {
                throw new Error(`Internal error: unknown subcommand: ${__classPrivateFieldGet(this, _QuickMineCommand_subcmd, "f")}`);
            }
        }
    };
    _QuickMineCommand_subcmd = new WeakMap();
    __setFunctionName(_classThis, "QuickMineCommand");
    (() => {
        const _metadata = typeof Symbol === "function" && Symbol.metadata ? Object.create(null) : void 0;
        _private_subcmd_decorators = [subcommand([QuickMineAdminCommand, QuickMinePrefsCommand])];
        __esDecorate(null, null, _private_subcmd_decorators, { kind: "field", name: "#subcmd", static: false, private: true, access: { has: obj => __classPrivateFieldIn(_QuickMineCommand_subcmd, obj), get: obj => __classPrivateFieldGet(obj, _QuickMineCommand_subcmd, "f"), set: (obj, value) => { __classPrivateFieldSet(obj, _QuickMineCommand_subcmd, value, "f"); } }, metadata: _metadata }, _private_subcmd_initializers, _instanceExtraInitializers);
        __esDecorate(null, _classDescriptor = { value: _classThis }, _classDecorators, { kind: "class", name: _classThis.name, metadata: _metadata }, null, _classExtraInitializers);
        QuickMineCommand = _classThis = _classDescriptor.value;
        if (_metadata) Object.defineProperty(_classThis, Symbol.metadata, { enumerable: true, configurable: true, writable: true, value: _metadata });
        __runInitializers(_classThis, _classExtraInitializers);
    })();
    return QuickMineCommand = _classThis;
})();
//# sourceMappingURL=commands.js.map
