import { lazy } from "../cicada-lib/dist/lazy.js";
import { world } from "../cicada-lib/dist/world.js";
import { populate } from "./player-prefs.js";
import * as PB from "./world-prefs_pb.js";
// This has to be kept in sync with world-prefs/ui.ts
const DEFAULTS = {
    timeBudgetInMsPerTick: 30,
    maxHorizontalDistance: 16,
    maxVerticalDistance: 32,
};
export const worldPrefs = lazy(() => {
    const prefs = world.getPreferences(PB.WorldPrefs);
    return populate(prefs, DEFAULTS);
});
//# sourceMappingURL=world-prefs.js.map
