import { BlockProperties, blockProps } from "../../block-properties.js";
/// Base class for soul-sand-like blocks.
class SoulSandLikeProperties extends BlockProperties {
    isToolSuitable(_perm, tool, prefs) {
        if (prefs.coverage.soulSandLike)
            return tool.tags.has("minecraft:is_shovel");
        else
            return false;
    }
}
// Soul Sand
blockProps.addBlockProps("minecraft:soul_sand", class extends SoulSandLikeProperties {
    breakingSoundId() {
        return "dig.soul_sand";
    }
});
// Soul Soil
blockProps.addBlockProps("minecraft:soul_soil", class extends SoulSandLikeProperties {
    breakingSoundId() {
        return "dig.soul_soil";
    }
});
//# sourceMappingURL=soul-sand.js.map
